%define current_version 7.0.7
%define _incdir /usr/include/vz
%define _evtdir /var/run/vzevents
%define _libver_major 1
%define _libver_minor 0
%define _libver %{_libver_major}.%{_libver_minor}
%{?coverage:%define _coverage %{coverage}}
%{!?coverage:%define _coverage 0}

%if %_coverage
Name: libvzevent-coverage
Provides: libvzevent
Obsoletes: libvzevent
%else
Name:		libvzevent
%endif
Summary:	Virtuozzo event library
Version:	%{current_version}
Release:        3%{?dist}
License:	LGPLv2.1
Group:		System Environment
Source:		%{name}-%{version}.tar.bz2
ExclusiveOS: Linux
BuildRoot: %{_tmppath}/libvzevent-root

#%package
Summary:	Virtuozzo event library
Group:		System Environment

%description
Virtuozzo Containers API library

%prep
%setup -n %{name}-%{version}
%if %_coverage
CFLAGS="-fprofile-arcs -ftest-coverage" LGCOV="-lgcov" make -C src
%else
CFLAGS="$RPM_OPT_FLAGS" make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make -C src install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} LIBVER=%{_libver_major} LIBVER_MINOR=%{_libver_minor}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}
install -m 644 COPYING LGPL-2.1  %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 COPYING LGPL-2.1 %{buildroot}%{_docdir}/%{name}-devel-%{version}/

%if %_coverage
mkdir -p ${RPM_BUILD_ROOT}/%_builddir/libvzevent
cp -a * ${RPM_BUILD_ROOT}/%_builddir/libvzevent
find ${RPM_BUILD_ROOT}/%_builddir/libvzevent -type f | xargs chmod 644
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_evtdir}
%{_libdir}/libvzevent.so.%{_libver_major}*
%{_docdir}/%{name}-%{version}
%if %_coverage
%{_builddir}/libvzevent
%endif

%package devel
Summary: Virtuozzo event development library
Group: System Environment/Kernel
License:	LGPLv2.1
Requires: libvzevent = %{version}-%{release}
%description devel
Virtuozzo event development library

%if ! %_coverage
%files devel
%defattr(-,root,root)
%{_libdir}/libvzevent.so
%{_libdir}/libvzevent.a
%attr(644,root,root) %{_incdir}/*.h
%{_docdir}/%{name}-devel-%{version}
%{debug_package}
%endif

%changelog
* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.7-2
- Rebuild in 7.3 environment

* Fri May 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.7
 - syle: use type from <sys/types.h>

* Mon Jun 01 2015 Dmitry Mishin <dim@parallels.com> 7.0.6
 - Added copyright and license headers
 - Added licence to devel package (Daniil Guzanov <dguzanov@odin.com>)

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.5
 - Added license text #PSBM-26806
 - Updated license #PSBM-26806

* Wed Apr 08 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.4
 - Fixed access rights for auto-provides generation (Dmitry Mishin
<dim@parallels.com>)
 - Added generation of libvzevent.so.{major} (Dmitry Mishin <dim@parallels.com>)

